﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Foxit.General.PDF;

namespace PDFTest.Classes
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    /// 
    public class CCallBack
    {
        public virtual void Invalidate(object clientData, int left, int top, int right, int bottom)
        {
            MainPage mainPage = (MainPage)clientData;
            mainPage.RenderPsi(left, top, right, bottom);
        }

        public virtual float GetOpacity(Object clientData)
        {
            return 1;
        }

    }
}
